#!/usr/local/bin/ruby
#
# ./plot.rb

require "g2"

d = G2::Image.open_GIF("plot.gif", 200, 200)
white  = d.ink(1, 1, 1)
black  = d.ink(0, 0, 0)
red    = d.ink(1, 0, 0)
green  = d.ink(0, 1, 0)
blue   = d.ink(0, 0, 1)
yellow = d.ink(1, 250/255.0, 205/255.0)

d.pen(blue)

for i in 1..10
  for j in 1..5
	d.plot(50 + i * 8, 50 + j * 16)
  end
end

d.close
