#!/usr/local/bin/ruby
#
# ./set_coordinate_system.rb

require "g2"

d = G2::Image.open_GIF("set_coordinate_system.gif", 200, 200)
white  = d.ink(1, 1, 1)
black  = d.ink(0, 0, 0)
red    = d.ink(1, 0, 0)
green  = d.ink(0, 1, 0)
blue   = d.ink(0, 0, 1)
yellow = d.ink(1, 250/255.0, 205/255.0)

d.pen(blue)
# (50, 50) (100, 50) (75, 100)
d.triangle(50, 50, 100, 50, 75, 100)

d.pen(red)
d.set_coordinate_system(0, 50, 2, 1)
# (50 * 2, 50 * 1 + 50) (100 * 2, 50 * 1 + 50) (75 * 2, 100 * 1 + 50)
d.triangle(50, 50, 100, 50, 75, 100)
d.close
