/* generated from g2.tbl using ../libplot/generator/tbl2ext2.rb */

#include "ruby.h"
#include <g2.h>

#include <g2_PS.h>
#include <g2_X11.h>
#include <g2_GIF.h>

static VALUE mG2, cImage;

static VALUE
rb_ext_G2_g2_open_GIF(VALUE class, VALUE filename, VALUE width, VALUE height)
{
  int ret_val;
  int *iptr;

  ret_val = 
	g2_open_GIF(STR2CSTR(filename), FIX2INT(width), FIX2INT(height));
  *iptr = ret_val;
  return Data_Wrap_Struct(class, 0, 0, iptr);
}

static VALUE
rb_ext_G2_g2_open_X11(VALUE class, VALUE width, VALUE height)
{
  int ret_val;
  int *iptr;

  ret_val = 
	g2_open_X11(FIX2INT(width), FIX2INT(height));
  *iptr = ret_val;
  return Data_Wrap_Struct(class, 0, 0, iptr);
}

static VALUE
rb_ext_G2_g2_open_X11X(VALUE class, VALUE width, VALUE height, VALUE x, VALUE y, VALUE window_name, VALUE icon_name, VALUE icon_data, VALUE icon_width, VALUE icon_height)
{
  int ret_val, i, len;
  int *iptr;
  char *icon;

  len = RARRAY(icon_data)->len;
  icon = ALLOCA_N(char, len + 1);
  for (i = 0; i < len; i++) {
	icon[i] = NUM2CHR(RARRAY(icon_data)->ptr[i]);
	fprintf(stderr, "%d", icon[i]);
  }
  ret_val = 
	g2_open_X11X(FIX2INT(width), FIX2INT(height), FIX2INT(x), FIX2INT(y), STR2CSTR(window_name), STR2CSTR(icon_name), icon, FIX2INT(icon_width), FIX2INT(icon_height));
  *iptr = ret_val;
  return Data_Wrap_Struct(class, 0, 0, iptr);
}


static VALUE
rb_ext_G2_g2_open_PS(VALUE class, VALUE filename, VALUE paper, VALUE orientation)
{
  int ret_val;
  int *iptr;

  ret_val = 
	g2_open_PS(STR2CSTR(filename), FIX2INT(paper), FIX2INT(orientation));
  *iptr = ret_val;
  return Data_Wrap_Struct(class, 0, 0, iptr);
}

static VALUE
rb_ext_G2_g2_open_vd(VALUE class)
{
  int ret_val;
  int *iptr;

  ret_val = 
	g2_open_vd();
  *iptr = ret_val;
  return Data_Wrap_Struct(class, 0, 0, iptr);
}

static VALUE
rb_ext_G2_g2_attach(VALUE vd_dev, VALUE dev)
{
  int *vd_devPtr;
  int *devPtr;

  Data_Get_Struct(vd_dev, int, vd_devPtr);
  Data_Get_Struct(dev, int, devPtr);
  g2_attach(*vd_devPtr, *devPtr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_detach(VALUE vd_dev, VALUE dev)
{
  int *vd_devPtr;
  int *devPtr;

  Data_Get_Struct(vd_dev, int, vd_devPtr);
  Data_Get_Struct(dev, int, devPtr);
  g2_detach(*vd_devPtr, *devPtr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_close(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_close(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_set_auto_flush(VALUE self, VALUE on_off)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_set_auto_flush(*iptr, FIX2INT(on_off));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_flush(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_flush(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_save(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_save(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_set_coordinate_system(VALUE self, VALUE x_origin, VALUE y_origin, VALUE x_mul, VALUE y_mul)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_set_coordinate_system(*iptr, NUM2DBL(x_origin), NUM2DBL(y_origin), NUM2DBL(x_mul), NUM2DBL(y_mul));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_ld(VALUE self)
{
  int ret_val = 
  g2_ld();
  return INT2FIX(ret_val);
}

static VALUE
rb_ext_G2_g2_set_ld(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_set_ld(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_ink(VALUE self, VALUE red, VALUE green, VALUE blue)
{
  int *iptr;
  int ret_val;

  Data_Get_Struct(self, int, iptr);
  ret_val = 
	g2_ink(*iptr, NUM2DBL(red), NUM2DBL(green), NUM2DBL(blue));
  return INT2FIX(ret_val);
}

static VALUE
rb_ext_G2_g2_pen(VALUE self, VALUE color)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_pen(*iptr, FIX2INT(color));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_set_dash(VALUE self, VALUE dashes)
{
  int i, len;
  double *pnt;
  int *iptr;

  if(NIL_P(dashes)) {
	Data_Get_Struct(self, int, iptr);
	g2_set_dash(*iptr, 0, NULL);
  } else {
	len = RARRAY(dashes)->len;
	pnt = ALLOCA_N(double, len);
	for (i = 0; i < len; i++) {
	  pnt[i] = NUM2DBL(RARRAY(dashes)->ptr[i]);
	}
	Data_Get_Struct(self, int, iptr);
	g2_set_dash(*iptr, len, pnt);
  }
  return Qnil;
}

static VALUE
rb_ext_G2_g2_set_font_size(VALUE self, VALUE size)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_set_font_size(*iptr, NUM2DBL(size));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_set_line_width(VALUE self, VALUE w)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_set_line_width(*iptr, NUM2DBL(w));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_clear_palette(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_clear_palette(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_reset_palette(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_reset_palette(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_allocate_basic_colors(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_allocate_basic_colors(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_clear(VALUE self)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_clear(*iptr);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_set_background(VALUE self, VALUE color)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_set_background(*iptr, FIX2INT(color));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_move(VALUE self, VALUE x, VALUE y)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_move(*iptr, NUM2DBL(x), NUM2DBL(y));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_move_r(VALUE self, VALUE dx, VALUE dy)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_move_r(*iptr, NUM2DBL(dx), NUM2DBL(dy));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_plot(VALUE self, VALUE x, VALUE y)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_plot(*iptr, NUM2DBL(x), NUM2DBL(y));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_plot_r(VALUE self, VALUE dx, VALUE dy)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_plot_r(*iptr, NUM2DBL(dx), NUM2DBL(dy));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_line(VALUE self, VALUE x1, VALUE y1, VALUE x2, VALUE y2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_line(*iptr, NUM2DBL(x1), NUM2DBL(y1), NUM2DBL(x2), NUM2DBL(y2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_line_r(VALUE self, VALUE dx, VALUE dy)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_line_r(*iptr, NUM2DBL(dx), NUM2DBL(dy));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_line_to(VALUE self, VALUE x, VALUE y)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_line_to(*iptr, NUM2DBL(x), NUM2DBL(y));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_poly_line(VALUE self, VALUE points)
{
  int i, len;
  double *pnt;
  int *iptr;

  len = RARRAY(points)->len;
  pnt = ALLOCA_N(double, len);
  for (i = 0; i < len; i++) {
	pnt[i] = NUM2DBL(RARRAY(points)->ptr[i]);
  }
  Data_Get_Struct(self, int, iptr);
  g2_poly_line(*iptr, len/2, pnt);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_triangle(VALUE self, VALUE x1, VALUE y1, VALUE x2, VALUE y2, VALUE x3, VALUE y3)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_triangle(*iptr, NUM2DBL(x1), NUM2DBL(y1), NUM2DBL(x2), NUM2DBL(y2), NUM2DBL(x3), NUM2DBL(y3));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_filled_triangle(VALUE self, VALUE x1, VALUE y1, VALUE x2, VALUE y2, VALUE x3, VALUE y3)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_filled_triangle(*iptr, NUM2DBL(x1), NUM2DBL(y1), NUM2DBL(x2), NUM2DBL(y2), NUM2DBL(x3), NUM2DBL(y3));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_rectangle(VALUE self, VALUE x1, VALUE y1, VALUE x2, VALUE y2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_rectangle(*iptr, NUM2DBL(x1), NUM2DBL(y1), NUM2DBL(x2), NUM2DBL(y2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_filled_rectangle(VALUE self, VALUE x1, VALUE y1, VALUE x2, VALUE y2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_filled_rectangle(*iptr, NUM2DBL(x1), NUM2DBL(y1), NUM2DBL(x2), NUM2DBL(y2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_polygon(VALUE self, VALUE points)
{
  int i, len;
  double *pnt;
  int *iptr;

  len = RARRAY(points)->len;
  pnt = ALLOCA_N(double, len);
  for (i = 0; i < len; i++) {
	pnt[i] = NUM2DBL(RARRAY(points)->ptr[i]);
  }
  Data_Get_Struct(self, int, iptr);
  g2_polygon(*iptr, len/2, pnt);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_filled_polygon(VALUE self, VALUE points)
{
  int i, len;
  double *pnt;
  int *iptr;

  len = RARRAY(points)->len;
  pnt = ALLOCA_N(double, len);
  for (i = 0; i < len; i++) {
	pnt[i] = NUM2DBL(RARRAY(points)->ptr[i]);
  }
  Data_Get_Struct(self, int, iptr);
  g2_filled_polygon(*iptr, len/2, pnt);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_circle(VALUE self, VALUE x, VALUE y, VALUE r)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_circle(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2DBL(r));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_filled_circle(VALUE self, VALUE x, VALUE y, VALUE r)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_filled_circle(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2DBL(r));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_ellipse(VALUE self, VALUE x, VALUE y, VALUE r1, VALUE r2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_ellipse(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2DBL(r1), NUM2DBL(r2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_filled_ellipse(VALUE self, VALUE x, VALUE y, VALUE r1, VALUE r2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_filled_ellipse(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2DBL(r1), NUM2DBL(r2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_arc(VALUE self, VALUE x, VALUE y, VALUE r1, VALUE r2, VALUE a1, VALUE a2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_arc(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2DBL(r1), NUM2DBL(r2), NUM2DBL(a1), NUM2DBL(a2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_filled_arc(VALUE self, VALUE x, VALUE y, VALUE r1, VALUE r2, VALUE a1, VALUE a2)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_filled_arc(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2DBL(r1), NUM2DBL(r2), NUM2DBL(a1), NUM2DBL(a2));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_string(VALUE self, VALUE x, VALUE y, VALUE text)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_string(*iptr, NUM2DBL(x), NUM2DBL(y), STR2CSTR(text));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_image(VALUE self, VALUE x, VALUE y, VALUE x_size, VALUE y_size, VALUE pens)
{
  int i, len;
  int *pnt;
  int *iptr;

  len = RARRAY(pens)->len;
  pnt = ALLOCA_N(int, len);
  for (i = 0; i < len; i++) {
	pnt[i] = NUM2INT(RARRAY(pens)->ptr[i]);
  }
  Data_Get_Struct(self, int, iptr);
  g2_image(*iptr, NUM2DBL(x), NUM2DBL(y), NUM2INT(x_size), NUM2INT(y_size), pnt);
  return Qnil;
}

static VALUE
rb_ext_G2_g2_plot_QP(VALUE self, VALUE x, VALUE y)
{
  int *iptr;

  Data_Get_Struct(self, int, iptr);
  g2_plot_QP(*iptr, NUM2DBL(x), NUM2DBL(y));
  return Qnil;
}

static VALUE
rb_ext_G2_g2_device_exist(VALUE self, VALUE dix)
{
  int ret_val = 
  g2_device_exist(FIX2INT(dix));
  return INT2FIX(ret_val);
}

void
Init_g2(){
  mG2 = rb_define_module("G2");
  cImage = rb_define_class_under(mG2, "Image", rb_cObject);

  /* 
   Device Functions
  */
  rb_define_singleton_method(cImage, "open_GIF", rb_ext_G2_g2_open_GIF, 3);
  rb_define_singleton_method(cImage, "open_X11", rb_ext_G2_g2_open_X11, 2);
  rb_define_singleton_method(cImage, "open_X11X", rb_ext_G2_g2_open_X11X, 9);
  rb_define_singleton_method(cImage, "open_PS", rb_ext_G2_g2_open_PS, 3);
  rb_define_singleton_method(cImage, "open_vd", rb_ext_G2_g2_open_vd, 0);
/*  rb_define_alias(cImage, "newGIF", "open_GIF");
  rb_define_alias(cImage, "newX11", "open_X11");
  rb_define_alias(cImage, "newX11X", "open_X11X");
  rb_define_alias(cImage, "newvd", "open_vd");*/

  rb_define_method(cImage, "attach", rb_ext_G2_g2_attach, 1);
  rb_define_method(cImage, "detach", rb_ext_G2_g2_detach, 1);

  rb_define_method(cImage, "close", rb_ext_G2_g2_close, 0);
  rb_define_method(cImage, "set_auto_flush", rb_ext_G2_g2_set_auto_flush, 1);
  rb_define_method(cImage, "set_coordinate_system", rb_ext_G2_g2_set_coordinate_system, 4);
  rb_define_method(cImage, "flush", rb_ext_G2_g2_flush, 0);
  rb_define_method(cImage, "save", rb_ext_G2_g2_save, 0);

  rb_define_module_function(mG2, "ld", rb_ext_G2_g2_ld, 0);
  rb_define_method(cImage, "set_ld", rb_ext_G2_g2_set_ld, 0);

  /* 
   Drawing Functions
  */
  /* General */
  rb_define_method(cImage, "clear", rb_ext_G2_g2_clear, 0);
  rb_define_method(cImage, "set_background", rb_ext_G2_g2_set_background, 1);
  rb_define_method(cImage, "move", rb_ext_G2_g2_move, 2);
  rb_define_method(cImage, "move_r", rb_ext_G2_g2_move_r, 2);

  /* Pixels and QuasiPixels */
  rb_define_method(cImage, "plot", rb_ext_G2_g2_plot, 2);
  rb_define_method(cImage, "plot_r", rb_ext_G2_g2_plot_r, 2);
/*  rb_define_method(cImage, "set_QP", rb_ext_G2_g2_set_QP, 2);*/
  rb_define_method(cImage, "plot_QP", rb_ext_G2_g2_plot_QP, 2);

  /* Lines */
  rb_define_method(cImage, "line", rb_ext_G2_g2_line, 4);
  rb_define_method(cImage, "line_to", rb_ext_G2_g2_line_to, 2);
  rb_define_method(cImage, "line_r", rb_ext_G2_g2_line_r, 2);
  rb_define_method(cImage, "poly_line", rb_ext_G2_g2_poly_line, 1);

  /* Triangles, Rectangles, Polygons */
  rb_define_method(cImage, "triangle", rb_ext_G2_g2_triangle, 6);
  rb_define_method(cImage, "filled_triangle", rb_ext_G2_g2_filled_triangle, 6);
  rb_define_method(cImage, "rectangle", rb_ext_G2_g2_rectangle, 4);
  rb_define_method(cImage, "filled_rectangle", rb_ext_G2_g2_filled_rectangle, 4);
  rb_define_method(cImage, "polygon", rb_ext_G2_g2_polygon, 1);
  rb_define_method(cImage, "filled_polygon", rb_ext_G2_g2_filled_polygon, 1);

  /* Circles, Ellipses, Arcs */
  rb_define_method(cImage, "circle", rb_ext_G2_g2_circle, 3);
  rb_define_method(cImage, "filled_circle", rb_ext_G2_g2_filled_circle, 3);
  rb_define_method(cImage, "ellipse", rb_ext_G2_g2_ellipse, 4);
  rb_define_method(cImage, "filled_ellipse", rb_ext_G2_g2_filled_ellipse, 4);
  rb_define_method(cImage, "arc", rb_ext_G2_g2_arc, 6);
  rb_define_method(cImage, "filled_arc", rb_ext_G2_g2_filled_arc, 6);

  /* Text */
  rb_define_method(cImage, "string", rb_ext_G2_g2_string, 3);

  /* Images */
  rb_define_method(cImage, "image", rb_ext_G2_g2_image, 5);

  /*  rb_define_method(cImage, "device_exist", rb_ext_G2_g2_device_exist, 0);*/

  /* 
	 Style Functions
  */
  /* Colors */
  rb_define_method(cImage, "ink", rb_ext_G2_g2_ink, 3);
  rb_define_method(cImage, "pen", rb_ext_G2_g2_pen, 1);
  rb_define_method(cImage, "clear_palette", rb_ext_G2_g2_clear_palette, 0);
  rb_define_method(cImage, "reset_palette", rb_ext_G2_g2_reset_palette, 0);
  rb_define_method(cImage, "allocate_basic_colors", rb_ext_G2_g2_allocate_basic_colors, 0);

  /* Line Styles */
  rb_define_method(cImage, "set_dash", rb_ext_G2_g2_set_dash, 1);
  rb_define_method(cImage, "set_line_width", rb_ext_G2_g2_set_line_width, 1);

  /* Text */
  rb_define_method(cImage, "set_font_size", rb_ext_G2_g2_set_font_size, 1);

  rb_define_const(mG2, "A0", INT2FIX(g2_A0));
  rb_define_const(mG2, "A1", INT2FIX(g2_A1));
  rb_define_const(mG2, "A2", INT2FIX(g2_A2));
  rb_define_const(mG2, "A3", INT2FIX(g2_A3));
  rb_define_const(mG2, "A4", INT2FIX(g2_A4));
  rb_define_const(mG2, "A5", INT2FIX(g2_A5));
  rb_define_const(mG2, "A6", INT2FIX(g2_A6));
  rb_define_const(mG2, "A7", INT2FIX(g2_A7));
  rb_define_const(mG2, "A8", INT2FIX(g2_A8));
  rb_define_const(mG2, "A9", INT2FIX(g2_A9));

  rb_define_const(mG2, "B0", INT2FIX(g2_B0));
  rb_define_const(mG2, "B1", INT2FIX(g2_B1));
  rb_define_const(mG2, "B2", INT2FIX(g2_B2));
  rb_define_const(mG2, "B3", INT2FIX(g2_B3));
  rb_define_const(mG2, "B4", INT2FIX(g2_B4));
  rb_define_const(mG2, "B5", INT2FIX(g2_B5));
  rb_define_const(mG2, "B6", INT2FIX(g2_B6));
  rb_define_const(mG2, "B7", INT2FIX(g2_B7));
  rb_define_const(mG2, "B8", INT2FIX(g2_B8));
  rb_define_const(mG2, "B9", INT2FIX(g2_B9));
  rb_define_const(mG2, "B10", INT2FIX(g2_B10));

  rb_define_const(mG2, "Comm_10_Envelope", INT2FIX(g2_Comm_10_Envelope));
  rb_define_const(mG2, "C5_Envelope", INT2FIX(g2_C5_Envelope));
  rb_define_const(mG2, "DL_Envelope", INT2FIX(g2_DL_Envelope));
  rb_define_const(mG2, "Folio", INT2FIX(g2_Executive));
  rb_define_const(mG2, "Letter", INT2FIX(g2_Letter));
  rb_define_const(mG2, "Legal", INT2FIX(g2_Legal));
  rb_define_const(mG2, "Ledger", INT2FIX(g2_Ledger));
  rb_define_const(mG2, "Tabloid", INT2FIX(g2_Tabloid));
  rb_define_const(mG2, "PS_land", INT2FIX(g2_PS_land));
  rb_define_const(mG2, "PS_port", INT2FIX(g2_PS_port));

  rb_define_const(mG2, "Cblack", INT2FIX(1));

}
